Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.plugins.web.rest.plugin
[Groovy] Class RestResponderGrailsPlugin

    java.lang.Object
      org.grails.plugins.web.rest.plugin.RestResponderGrailsPlugin

    class RestResponderGrailsPlugin
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`java.lang.Object` | `doWithSpring`
`java.lang.Object` | `loadBefore`
`java.lang.Object` | `observe`
`java.lang.Object` | `onChange`
`java.lang.Object` | `version`

Method Summary
`static void` | `registryResourceControllers(GrailsApplication app)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### doWithSpring

    java.lang.Object doWithSpring

### loadBefore

    java.lang.Object loadBefore

### observe

    java.lang.Object observe

### onChange

    java.lang.Object onChange

### version

    java.lang.Object version

Method Detail

### registryResourceControllers

    @groovy.transform.CompileStatic
    static void registryResourceControllers(GrailsApplication app)

Groovy Documentation